Skip to main content
Version: Next

Get invoice list

GET /<provider>/get-invoices

API used to get the list of e-invoices.

Headers​

NameRequiredDescription
Authorization✅Bearer access_token
Content-Type✅application/json
X-Tax-Code✅Seller tax code.

Query Parameters​

NameData typeDescription
startnumberStart position.
countnumberNumber of elements to retrieve.
serialstringInvoice serial.
from_dateDatetimeFrom date.
to_dateDatetimeTo date.
staxstringSeller tax code (store, etc.).
note

The FPT provider does not support pagination.

Differences in values by provider​

Field name1InvoiceFPTViettel
startStarts from 0, retrieved by the index position of the element; for example, with a page size of 10 elements, page 2 has start=10, page 3 has start=20Starts from 0, retrieved by the index position of the element; for example, with a page size of 10 elements, page 2 has start=10, page 3 has start=20Starts from 1, retrieved by page; for example, page 1 has start=1, page 2 has start=2
serialRequiredDo not sendRequired

Response​

NameData typeDescription
data[].search_codestringCode for the user to look up the invoice
data[].invoice_dateDatetimeInvoice issue date
data[].seqnumberInvoice number
data[].tax_authority_codestringTax authority code
data[].buyerstringOrganization name
data[].bnamestringBuyer name
data[].total_vnumberTotal amount including tax
data[].vat_vnumberTax amount
data[].serialstringInvoice serial
data[].sidstringInvoice id
data[].vpidstringId used to view the invoice (if any)
data[].statusnumber | stringInvoice status
data[].status_receivednumber | stringTax authority response status
successbooleanAPI status
totalnumberTotal number of elements matching the condition; not available for the FPT provider
messagestringError message if any

Tax authority code and lookup code by provider​

Field1InvoiceFPTViettel
Tax authority code (tax_authority_code)YesYesRequires an additional API call to get the secret code
Lookup code (search_code)YesYesRequires an additional API call to get the secret code
curl --location 'https://stag-invoice-hub.1invoice.vn/1Invoice/get-invoices?start=0&count=10&serial=1C25MTS&from_date=2025-05-01&to_date=2025-06-06&stax=0106026495-998' \
--header 'authorization: Bearer O87316arj5+Od3Fqyy5hzdBfIuPk73eKqpAzBSvv8sY=' \
--header 'x-tax-code: 0106026495-998'